Attribute VB_Name = "inifileModule"
'INIt@CiėpW[j
'--------------------------------------------------------------------------------
Option Explicit

Private Declare Function GetPrivateProfileString Lib "kernel32" Alias "GetPrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Long, ByVal lpFileName As String) As Long
Private Declare Function WritePrivateProfileString Lib "kernel32" Alias "WritePrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpString As Any, ByVal lpFileName As String) As Long

'INIt@Cl擾
Public Function getINIValue( _
  ByVal key As String, _
  ByVal section As String, _
  ByVal defaultValue As String, _
  ByVal filePatn As String _
) As String
  Dim Value As String * 255
  Call GetPrivateProfileString(section, key, "", Value, Len(Value), filePatn)

  Dim ret As String
  ret = Left$(Value, InStr(1, Value, vbNullChar) - 1)

  If (ret = "") Then
    ret = defaultValue
  End If

  getINIValue = ret
End Function

'INIt@CɒlZbg
Public Function setINIValue( _
  ByVal Value As String, _
  ByVal key As String, _
  ByVal section As String, _
  ByVal filePath As String _
) As Boolean
  Dim ret As Long

  ret = WritePrivateProfileString(section, key, Value, filePath)
  setINIValue = CBool(ret)
End Function
