Attribute VB_Name = "fileModule"
't@C실ʁiėpW[j
'--------------------------------------------------------------------------------
Option Explicit

't@C̑݃`FbN
Public Function IsFileExists(ByVal filepath As String) As Boolean
  Dim fso As Object
  Set fso = CreateObject("Scripting.FileSystemObject")

  IsFileExists = fso.FileExists(filepath)
End Function

'tH_̑݃`FbN
Public Function IsFolderExists(ByVal folderPath As String) As Boolean
  Dim fso As Object
  Set fso = CreateObject("Scripting.FileSystemObject")

  IsFolderExists = fso.FolderExists(folderPath)
End Function

'w肵IuWFNg̐etH_Ԃ
Public Function GetParentFolderName(ByVal path As String) As String
  Dim fso As Object
  Set fso = CreateObject("Scripting.FileSystemObject")

  GetParentFolderName = fso.GetParentFolderName(path)
End Function

'tH_쐬
Public Sub CreateFolder(ByVal folderPath As String)
  If (IsFolderExists(folderPath) = True) Then
    Exit Sub
  End If

  Dim fso As Object
  Set fso = CreateObject("Scripting.FileSystemObject")

  fso.CreateFolder folderPath
End Sub

'tH_쐬i[Kw̃tH_Cɍ쐬j
Public Sub CreateFolderEx(ByVal folderPath As String)
  If (InStr(1, folderPath, "\") < 1) Then
    Call MsgBox("tH_̎w肪܂B", vbOKOnly + vbCritical, App.Title)
  End If

  Dim arrDir As Variant
  arrDir = Split(folderPath, "\")

  Dim path As String
  path = arrDir(0)

  Dim i As Integer
  For i = 1 To UBound(arrDir)
    path = path & "\" & arrDir(i)
    If arrDir(i) = "" Then
      Exit For
    End If
    If (IsFolderExists(path) = False) Then
      Call CreateFolder(path)
    End If
  Next
End Sub

't@C폜
Public Sub FileDelete(ByVal filepath As String)
  Dim bExists As Boolean
  bExists = IsFileExists(filepath)
  If (bExists = False) Then
    Exit Sub
  End If

  Dim fso As Object
  Set fso = CreateObject("Scripting.FileSystemObject")

  fso.DeleteFile filepath
End Sub

'tH_폜
Public Sub FolderDelete(ByVal folderPath As String)
  Dim bExists As Boolean
  bExists = IsFolderExists(folderPath)
  If (bExists = False) Then
    Exit Sub
  End If

  Dim fso As Object
  Set fso = CreateObject("Scripting.FileSystemObject")

  fso.DeleteFolder folderPath
End Sub

't@C폜
Public Sub FileCopy(ByVal orgFile As String, ByVal cpyFile As String)
  Dim fso As Object
  Set fso = CreateObject("Scripting.FileSystemObject")

  fso.CopyFile orgFile, cpyFile
End Sub

'tH_Rs[
Public Sub FolderCopy(ByVal orgFolder As String, ByVal cpyFolder As String)
  Dim fso As Object
  Set fso = CreateObject("Scripting.FileSystemObject")

  fso.CopyFolder orgFolder, cpyFolder
End Sub

't@Cړ
Public Sub FileMove(ByVal orgFile As String, ByVal cpyFile As String)
  Dim fso As Object
  Set fso = CreateObject("Scripting.FileSystemObject")

  fso.MoveFile orgFile, cpyFile
End Sub

'tH_ړ
Public Sub FolderMove(ByVal orgFolder As String, ByVal cpyFolder As String)
  Dim fso As Object
  Set fso = CreateObject("Scripting.FileSystemObject")

  fso.MoveFolder orgFolder, cpyFolder
End Sub

'w肵tH_ɑ݂t@C̃Xgz^ŕԂ
Public Function GetFileList(ByVal folderPath As String) As Variant
  Dim fso As Object
  Set fso = CreateObject("Scripting.FileSystemObject")

  Dim oFolder As Object
  Set oFolder = fso.GetFolder(folderPath)

  Dim fileCol As Object
  Set fileCol = oFolder.Files

  Dim fileList As String
  fileList = ""

  Dim oFile As Object
  For Each oFile In fileCol
    If Not (fileList = "") Then
      fileList = fileList & "|"
    End If
    fileList = fileList & oFile.name
  Next

  GetFileList = Split(fileList, "|")
End Function
