VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "textfileManager"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'eLXgt@CiėpNXj
'--------------------------------------------------------------------------------
Option Explicit

Private mstrMessage As String

Private Sub Class_Initialize()
  Message = ""
End Sub

Public Property Get Message() As String
  Message = mstrMessage
End Property

Private Property Let Message(ByVal strMsg As String)
  mstrMessage = strMsg
End Property

Public Function ReadText(ByVal strFilePath As String) As String
  ReadText = ""

  On Error Resume Next

  Dim blnRet As Boolean
  blnRet = IsFileExists(strFilePath)
  If (blnRet = False) Then
    Message = "t@C܂B"
    Exit Function
  End If

  Dim objFso As Object
  Set objFso = CreateObject("Scripting.FileSystemObject")

  Dim objFile As Object
  Set objFile = objFso.OpenTextFile(strFilePath, 1, False)
  If (Err.Number <> 0) Then
'    Message = CStr(Err.Number) & ":" & Err.Description
    Err.Clear
    Exit Function
  End If

  Dim strBuf As String
  strBuf = objFile.ReadAll

  ReadText = strBuf
End Function

Public Function WriteText(ByVal strFilePath As String, ByVal strValue As String) As Boolean
  WriteText = False

  On Error Resume Next

  Dim blnRet As Boolean
  blnRet = IsFileExists(strFilePath)
  If (blnRet = False) Then
    Message = "t@C܂B"
    Exit Function
  End If

  If (CStr(strValue) = "") Then
    WriteText = True
    Exit Function
  End If

  Dim objFso As Object
  Set objFso = CreateObject("Scripting.FileSystemObject")

  Dim objFile As Object
  Set objFile = objFso.OpenTextFile(strFilePath, 8, False)
  objFile.WriteLine strValue

  If (Err.Number <> 0) Then
'    Message = CStr(Err.Number) & ":" & Err.Description
    Err.Clear
    Exit Function
  End If

  WriteText = True
End Function

Public Function ClearText(ByVal strFilePath As String) As Boolean
  ClearText = False

  On Error Resume Next

  Dim blnRet As Boolean
  blnRet = IsFileExists(strFilePath)
  If (blnRet = False) Then
    Message = "t@C܂B"
    Exit Function
  End If

  Dim objFso As Object
  Set objFso = CreateObject("Scripting.FileSystemObject")

  Dim objFile As Object
  Set objFile = objFso.OpenTextFile(strFilePath, 2, False)

  If (Err.Number <> 0) Then
'    Message = CStr(Err.Number) & ":" & Err.Description
    Err.Clear
    Exit Function
  End If

  ClearText = True
End Function

Public Function CreateText(ByVal strFilePath As String) As Boolean
  CreateText = False

  On Error Resume Next

  Dim blnRet As Boolean
  blnRet = IsFileExists(strFilePath)
  If Not (blnRet = False) Then
    CreateText = True
    Exit Function
  End If

  Dim objFso As Object
  Set objFso = CreateObject("Scripting.FileSystemObject")

  Dim objFile As Object
  Set objFile = objFso.CreateTextFile(strFilePath)

  If (Err.Number <> 0) Then
'    Message = CStr(Err.Number) & ":" & Err.Description
    Err.Clear
    Exit Function
  End If

  objFile.Close

  CreateText = True
End Function
